Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.plastic
Class AbstractAnnotationBuilder

    java.lang.Object
      org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor
          org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder

Direct Known Subclasses:
  AnnotationBuilder

    public abstract class AbstractAnnotationBuilder

extends org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor

Field Summary
`protected PlasticClassPool` | `pool`

Fields inherited from class org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor
`api, av`

Constructor Summary
`AbstractAnnotationBuilder(PlasticClassPool pool)`

Method Summary
`protected java.lang.Class` | `elementTypeForArrayAttribute(java.lang.String name)`
`protected abstract void` | `store(java.lang.String name, java.lang.Object value)`
`void` | `visit(java.lang.String name, java.lang.Object value)`
`org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String name, java.lang.String desc)`
`org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor` | `visitArray(java.lang.String name)` Because of how ASM works, this should only be invoked when the array values are not primitives and not Class/Type; i.e.
`void` | `visitEnd()`
`void` | `visitEnum(java.lang.String name, java.lang.String desc, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pool

    protected final PlasticClassPool pool

Constructor Detail

### AbstractAnnotationBuilder

    public AbstractAnnotationBuilder(PlasticClassPool pool)

Method Detail

### store

    protected abstract void store(java.lang.String name,
                                  java.lang.Object value)

### elementTypeForArrayAttribute

    protected java.lang.Class elementTypeForArrayAttribute(java.lang.String name)

### visit

    public void visit(java.lang.String name,
                      java.lang.Object value)

  Overrides:
    `visit` in class `org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor`

### visitEnum

    public void visitEnum(java.lang.String name,
                          java.lang.String desc,
                          java.lang.String value)

  Overrides:
    `visitEnum` in class `org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor`

### visitAnnotation

    public org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor visitAnnotation(java.lang.String name,
                                                                                       java.lang.String desc)

  Overrides:
    `visitAnnotation` in class `org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor`

### visitArray

    public org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor visitArray(java.lang.String name)

  Because of how ASM works, this should only be invoked when the array values are not primitives and not Class/Type; i.e. the inner values will be either Class/Type, enum, or nested annotations. All the arrays of strings and primitives are handled by ASM and become a single call to `visit(String, Object)`.

  Overrides:
    `visitArray` in class `org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor`

### visitEnd

    public void visitEnd()

  Overrides:
    `visitEnd` in class `org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.